# std::error_code::default_error_condition

From cppreference.com
< cpp‎ | error‎ | error code

std::error_condition default_error_condition() const; |  | (since C++11)

Returns the default error condition for the current error value.

Equivalent to category().default_error_condition(value()).

### Parameters

(none)

### Return value

The default error condition for the current error value.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_code/default_error_condition&oldid=91777"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template